Package org.opensaml.xmlsec.algorithm

# Interface KeyTransportAlgorithm

All Superinterfaces:
  `AlgorithmDescriptor`, `KeySpecifiedAlgorithm`

All Known Implementing Classes:
  `KeyTransportRSA15`, `KeyTransportRSAOAEP`, `KeyTransportRSAOAEPMGF1P`

public interface KeyTransportAlgorithm extends KeySpecifiedAlgorithm
Interface for key transport algorithm descriptors.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.opensaml.xmlsec.algorithm.AlgorithmDescriptor

`AlgorithmDescriptor.AlgorithmType`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCipherMode()`
Get the JCA cipher mode specified by this algorithm.
`String`
`getPadding()`
Get the JCA padding algorithm specified by this algorithm.

### Methods inherited from interface org.opensaml.xmlsec.algorithm.AlgorithmDescriptor

`getJCAAlgorithmID, getType, getURI`

### Methods inherited from interface org.opensaml.xmlsec.algorithm.KeySpecifiedAlgorithm

`getKey`

## Method Details

### getCipherMode

@Nonnull @NotEmpty String getCipherMode()
Get the JCA cipher mode specified by this algorithm.

Returns:
  the cipher mode

### getPadding

@Nonnull @NotEmpty String getPadding()
Get the JCA padding algorithm specified by this algorithm.

Returns:
  the padding algorithm